MAXEYE ZigBee Measurement Suite Help

The MAXEYE ZigBee measurement suite contains LabVIEW VIs to generate standard complaint signals and perform measurements that confirm to IEEE standard 802.15.4 version 2003 and 2011. Refer to the standard for the signal specifications and this document assumes that the user is familiar with the IEEE 802.15.4 standard specification. This document has information about the toolkit Labview API VIs to help engineers for programming.

____________________________________________________________________________________________________

For more information regarding this help please contact info@maxeyetech.com


MaxEye ZigBee OQPSK SG Open Handle.vi

This VI creates ZigBee OQPSK Generation Handle with the default values and passes the handle to the later VIs.

Name Of Queue

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

MAXEYE TECHNOLOGIES Private Limited
ZigBee Measurement Suite

For more details on this help, please write to us at
info@maxeyetech.com


MaxEye ZigBee OQPSK SA Configure Channel Number.vi

This VI computes the carrier frequency from the channel number and then configures the carrier frequency in the niRFmx Demod API VI.

Instrument Handle Instrument Handle In specifies the RFmx session refnum. Instrument Handle In is obtained from the RFmxInstr Initialize NIRFSA VI.

Selector String Selector String comprises of the signal name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

""

"signal::sig1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Channel Number

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ZigBee OQPSK SG Set Headroom,dB.vi

This VI configures the Head room property in the ZigBee OQPSK Signal Generation handle. The toolkit uses this value for scaling the waveform. If the PAPR of the signal is higher than the Head room value then the toolkit clips the signal. To avoid clipping Head room value should be higher than PAPR of the signal.

The default value is 3 dB.

ZigBee OQPSK Generation Handle In

Headroom, dB Specifies the Headroom in dB. The toolkit uses this value for scaling the wave form. If the PAPR of the signal is higher than the Head Room value then the toollkit clips the signal.To avoid clipping the Head Room value should be higher than the PAPR of the signal.

The default value is 12 dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK RFSG Create and Download Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the ZigBee OQPSK Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

ZigBee OQPSK Generation Handle

ZigBee OQPSK Generation Handle

Waveform name specifies the name used to store the waveform. This string is case-insensitive and alphanumeric, and it does not use reserved words.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

instrument handle out passes a reference from the instrument session to the next VI.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Create Waveform.vi

This VI performs the following:

(i) Checks the configuration parameters in ZigBee OQPSK signal generation handle and returns an error if the configuration is not valid.
(ii) Creates the waveform as per the configured parameters.

ZigBee OQPSK Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Reset?

ZigBee OQPSK Generation Handle Out

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

Done?

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK RFSG Download Waveform.vi

This VI perfoms the following.

i. Computes the waveform size, allocates on board memory space for writing waveform.
ii. Writes the waveform in the RFSG on board memory.

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

ZigBee OQPSK Generation Handle

ZigBee OQPSK Generation Handle

Waveform name specifies the name used to store the waveform. This string is case-insensitive and alphanumeric, and it does not use reserved words.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Reset?

instrument handle out passes a reference from the instrument session to the next VI.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK Save Waveform in File.vi

This VI performs the following:

(i) Checks the configuration parameters in ZigBee OQPSK signal generation handle and returns an error if the configuration is not valid.
(ii) Computes the waveform size and returns it to the user.
(iii) Creates the waveform as per the configured parameters.
(iv) Writes the created waveform in the file as per the waveform file path location configured by the user.

ZigBee OQPSK Generation Handle

ZigBee OQPSK Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Output Waveform File Path.vi

The VI configures the file location for the Waveform File Path property in ZigBee OQPSK Signal Generation handle. The toolkit saves the generated waveform in the file when MaxEye ZigBee OQPSK RFSG Create and Save Waveform API VI is used for the wavefrom creation.

ZigBee OQPSK Generation Handle In

Output Waveform File Path Specifies the Output Waveform File Path. The combined waveform is stored in the file mentioned here.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Close Handle.vi

Closes the ZigBee OQPSK Signal Generation handle and resources associated with it.

ZigBee OQPSK Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Samples Per Chip.vi

Configures the Samples Per Chip property in the ZigBee OQPSK Signal Generation handle. The sampling rate of the generated waveform equals to the Samples Per Chip multiplied by the Chip Rate.

The default value is 20.

ZigBee OQPSK Generation Handle In

Samples Per Chip

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Frame Cotrol Fields.vi

Configures the MAC Frame Control Fields properties in the ZigBee OQPSK Signal Generation Handle. The Frame Control field contains information defining the frame type, addressing fields, and other control flags.

For more information about the Frame control fields please refer section 5.2.1.1 of the IEEE standard 802.15.4.

ZigBee OQPSK Generation Handle In

Frame Control Fields

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Addressing Fields.vi

Configures the Destination and Source PAN Identifier and MAC Address properties in the ZigBee OQPSK Signal Generation handle.

The Destination PAN Identifier field specifies the unique PAN identifier of the intended recipient of the frame. A value of 0xffff in this field shall represent the broadcast PAN identifier.

The Destination Address field specifies the address of the intended recipient of the frame. A value of 0xffff in this field shall represent the broadcast short address. This field shall be included in the MAC frame only if the Destination Addressing Mode field is nonzero.

The Source PAN Identifier field specifies the unique PAN identifier of the originator of the frame.

The Source Address field specifies the address of the originator of the frame. This field shall be included in the MAC frame only if the Source Addressing Mode field is nonzero.

ZigBee OQPSK Generation Handle In

Destination PAN Identifier

Destination MAC Address

Source PAN Identifier

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Source MAC Address

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Sequence Number.vi

Configures the Sequence Number field in the ZigBee OQPSK Signal Generation Handle.

The Sequence Number field specifies the sequence identifier for the frame. For a beacon frame, the Sequence Number field shall specify a BSN (Beacon Sequence Number). For a data, acknowledgment, or MAC command frame, the Sequence Number field shall specify a DSN (Data Sequence Number) that is used to match an acknowledgment frame to the data or MAC command frame.

The default value is 0.

ZigBee OQPSK Generation Handle In

Sequence Number

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Number of Frames.vi

This VI configures the Number of Frames property in the ZigBee OQPSK signal generation handle. The toolkit uses the same frame configuration for all the frames and the payload is continuous across frames.

The valid value should be greater than 0.

The default value is 1.

ZigBee OQPSK Generation Handle In

Number of Frames

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Superframe Specification.vi

Configures the Beacon Order and Superframe Order properties in the ZigBee OQPSK Signal Generation Handle. The Beacon Order field shall specify the transmission interval of the beacon. The Superframe Order field shall specify the length of time during which the superframe is active.

For more information about Beacon Order and Super Frame Order properties, please refer section 5.1.1.1 and 5.2.2.1 of the IEEE 802.15.4 2011 standard.

ZigBee OQPSK Generation Handle In

Beacon Order

Superframe Order

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Command Frame Identifier.vi

This VI configures the Command Frame Identifier property in the ZigBee OQPSK signal generation handle. The Command Frame Identifier field identifies the MAC command being used.

The valid values are

0 - Association Request
1 - Association Response
2 - Disassociation Notification
3 - Data Request
4 - PAN ID Conflict Notification
5 - Orphan notification
6 - Beacon request
7 - Coordinator realignment
8 - GTS request
9 - Reserved

The default value is Association Request.

ZigBee OQPSK Generation Handle In

Command Frame Identifier

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Association Request.vi

This VI configures the Association Request property in the ZigBee OQPSK signal generation handle.
The Association Request command contains information defining the device type, power source, receiver on when idle, security capability and allocate address.
Association Request allows to send a request to make a association with a PAN through the PAN coordinator or a coordinator.

The valid values are

Device type:
0 - Reduced function device.
1 - Full Function Device

Power source:
0 - AC mains.
1 - Not From AC Mains

Receiver on when idle:
0 - False
1 - True

Security capability:
0 - Disabled
1 - Enabled

Allocate address :
0 - False
1 - True

The default values.
Device type - Full Function Device.
Power source - AC mains.
Receiver on when idle - True.
Security capability - Disabled.
Allocate address - True.

ZigBee OQPSK Generation Handle In

Association Request

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Association Response.vi

This VI configures the Association Response property in the ZigBee OQPSK signal generation handle.
The Association Response command contains information defining the short address and association status.
Association Response allows PAN coordinator or a coordinator to communicate the results of an association attempt back to the device requesting association.

The valid values are
Short address : 0000 to FFFF
Association status:
0 - Association successful
1 - PAN at capacity
2 - PAN access denied.
3 - Reserved for MAC primitive enumeration values

The default values.
Short address - ABCD
Association status - Association successful.

ZigBee OQPSK Generation Handle In

Association Response

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Disassociation Notification.vi

This VI configures the Disassociation Notification property in the ZigBee OQPSK signal generation handle.
The PAN coordinator, a coordinator, or an associated device may send the disassociate notification command.

The valid values are
0 - Reserved.
1 - The coordinator wishes the device to leave the PAN.
2 - The device wishes to leave the PAN.
3 - Reserved for MAC primitive enumeration values.

The default value is The coordinator wishes the device to leave the PAN.

ZigBee OQPSK Generation Handle In

Disassociation Reason?

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Coordinator Realignment.vi

This VI configures the Coordinator Realignment property in the ZigBee OQPSK signal generation handle.
The Coordinator Realignment command contains information defining the realignment command, PAN identifier, coordinator short address, channel number, short address and channel page .
If this Coordinator Realignment command is sent following the reception of an orphan notification command, it is sent directly to the orphaned device. If this command is sent when any PAN configuration attributes (i.e., PAN identifier, short address, channel, or channel page) change, it is broadcast to the PAN.

The valid values are
Realignment command :
0 - Broadcast to the PAN
1 - Sent to orphaned device

PAN identifier : 0000 to FFFF

Coordinator short address : 0000 to FFFF

Channel number : 0 to 255

Short address : 0000 to FFFF

Channel page : 0 to 255

The default values.

Realignment command - Broadcast to the PAN
PAN identifier - ABCD
Coordinator short address - AABB
Channel number - 1
Short address - AACC
Channel page - 1

ZigBee OQPSK Generation Handle In

Coordinator Realignment

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set GTS Request.vi

This VI configures the GTS Request property in the ZigBee OQPSK signal generation handle.
The GTS Request command contains information defining the GTS length(in slots),GTS direction and GTS characteristics type.
GTS Request command is used by an associated device that is requesting the allocation of a new GTS or the deallocation of an existing GTS from the PAN coordinator.

The valid value are
GTS length(in slots) : 1 to 255

GTS direction :
0 - Tx only GTS
1 - Rx only GTS

GTS characteristics type:
0 - GTS deallocation
1- GTS allocation

The default values.
GTS length(in slots) - 1
GTS direction - Tx only GTS
GTS characteristics type - GTS deallocation

ZigBee OQPSK Generation Handle In

GTS Request

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set MAC Framing Enabled.vi

Configures the MAC Framing Enabled field in the ZigBee OQPSK Signal Generation Handle.

If this property is set to true then the toolkit adds MAC layer headers and then creates payload for the physical layer

The default value is False.

ZigBee OQPSK Generation Handle In

MAC Framing Enabled

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Inter Frame Spacing.vi

Configures the Inter Frame Spacing property in the ZigBee OQPSK Signal Generation handle. This property specifies the gap duration in seconds between the frames.

The default value is 0.0001.

ZigBee OQPSK Generation Handle In

Inter Frame Spacing (Seconds)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Output Sampling Rate.vi

Configures the Output Sampling Rate (Hz) property of the ZigBee OQPSK Signal Generation handle.

The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1(True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

ZigBee OQPSK Generation Handle In

Output Sampling Rate Specifies the Output Sampling Rate. The Default Sampling rate is 2.048 MSPS.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Oversampling Enabled.vi

This VI configures the Oversampling Enabled? Property in the ZigBee OQPSK signal generation handle. The valid value is either TRUE or FALSE.

The default value is FALSE.

ZigBee OQPSK Generation Handle In

Oversampling Enabled? Specifies whether the Oversampling Property is enabled or not. If this property is set to True then the toolkit resamples the generated signal based on the value configured by the user for the Output Sampling Rate property.

The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Power Ramp Up And Down Time.vi

Configures the value for the Power Ramp Up And Down Time property, in seconds in the ZigBee OQPSK Signal Generation handle.

The Power Ramp Up Time property specifies the time duration during which the signal power gradually increases to the full value from zero.
The default value is 5us.

The Power Down Time property specifies the time duration during which the signal power gradually reduces from the full value to close to zero.
The default value is 5us.

ZigBee OQPSK Generation Handle In

Power Ramp Up Time (Seconds) Specifies the Carrier to Noise Ratio in dB. The default value is 50dB.

Power Ramp Down Time(Seconds)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Payload Configuration.vi

This VI configures the Payload properties for the ZigBee OQPSK Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

ZigBee OQPSK Generation Handle In

Payload Control

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Payload Mode.vi

This VI configures the Payload Mode property in the ZigBee OQPSKs Signal Generation handle. The valid values for the Payload property are

PN Sequence - Specifies that the toolkit uses a Galois pseudonoise (PN) bit sequence with configurable order and seed. The seed is the initial state of the PN generator shift register.

User Defined Bits - Specifies that the toolkit repeats the user-supplied bit pattern to achieve the necessary payload length.

Test File - Specifies that the toolkit uses the data stored in the binary file as a payload for creating the waveform.

Test Pattern - Specifies that toolkit uses the value set in the Payload Test Pattern property as a payload for creating the waveform. The length of the Test Pattern is 8 bits. This value is the default.

ZigBee OQPSK Generation Handle In

Payload Mode Specifies the Payload Mode value.
The valid values for the Payload property are

PN Sequence - Specifies that the toolkit uses a Galois pseudonoise (PN) bit sequence with configurable order and seed. The seed is the initial state of the PN generator shift register.

User Defined Bits - Specifies that the toolkit repeats the user-supplied bit pattern to achieve the necessary payload length.

Test File - Specifies that the toolkit uses the data stored in the binary file as a payload for creating the waveform.

Test Pattern - Specifies that toolkit uses the value set in the Payload Test Pattern property as a payload for creating the waveform. The length of the Test Pattern is 8 bits. This value is the default.

MPEG2TS File(s) - Specifies that the toolkit uses the MPEG2 TS bitstream as a payload for creating the waveform. Use this payload mode for playing the video in the device under test.

MPEG2TS Audio - Specifies that the toolkit uses the MPEG2 TS Audio bitstream as a payload for creating the waveform. Use this payload mode for playing the audio in the device under test.

The default value for Payload Mode is PN Sequemce.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Payload Length.vi

This VI configures the Payload PN Order property in the ZigBee OQPSK Signal Generation handle . The PN order specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN Order property is 9.

ZigBee OQPSK Generation Handle In

Payload Length, bytes

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Payload PN Order.vi

This VI configures the Payload PN Order property in the ZigBee OQPSK Signal Generation handle . The PN order specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN Order property is 9.

ZigBee OQPSK Generation Handle In

Payload PN Order Specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN Order property is 9.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Payload PN Seed.vi

This VI configures the Payload PN seed in the ZigBee OQPSK Signal Generation handle . This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN seed is BEEFBEEF.

ZigBee OQPSK Generation Handle In

Payload PN Seed Specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN Order property is 9.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Payload User Defined Bits.vi

Configures the Payload User Defined Bits property in the ZigBee OQPSK Signal Generation handle. This property is applicable only when the Payload Mode property is set to User Defined Bits.

ZigBee OQPSK Generation Handle In

Payload User Defined Bits Specifies the Payload User Defined Bits. The user defined bits should be array of 1s and 0s.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Payload Test Pattern.vi

Configures the Payload PN Order property in the ZigBee OQPSK Signal Generation handle. This property is applicable only when the payload property is set to test pattern.The valid Test Patterns are All 1s,All 0 s,10101010,11110000.

The default value for the Test Pattern is All 1s.

ZigBee OQPSK Generation Handle In

Payload Test Pattern Specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN Order property is 9.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Payload File Path.vi

This VI configures the Payload File Path property in the ZigBee OQPSK Signal Generation handle. The toolkit reads the payload data from the binary file for generating the signal when the Payload Mode property is set to Test File.

ZigBee OQPSK Generation Handle In

Payload File Path Specifies the Payload File Path.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Impairment Configuration.vi

Configures the Impairment properties for the ZigBee OQPSK Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

ZigBee OQPSK Generation Handle In

Impairments Specifies the Impairments Configuration parameters.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Impairments Enabled.vi

Configures the Impairments Enabled property in the ZigBee OQPSK Signal Generation handle. If this property is set to True then the toolkit adds the impairments to the generated signal as per the user configuration for the supported impairments.

The default value is False.

ZigBee OQPSK Generation Handle In

Impairments Enabled ? Specifies whether Impairments is Enabled or not. The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set AWGN Enabled.vi

This VI configures the AWGN Enabled property in the ZigBee OQPSK Signal Generation handle. If this property is set to True then the toolkit adds Additive White Gaussian Noise (AWGN) to the created waveform based on the value configured in the Carrier to Noise Ratio property.

The valid values are True and False. The default value is False.

ZigBee OQPSK Generation Handle In

AWGN Enabled Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Carrier to Noise Ratio.vi

This VI configures the value for the Carrier to Noise ratio property, in dB in the ZigBee OQPSK Signal Generation handle. This value specifies the Carrier to Noise ratio of the generated signal.

The default value is 40dB.

ZigBee OQPSK Generation Handle In

Carrier to Noise Ratio, dB Specifies the Carrier to Noise Ratio in dB. The default value is 50dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Frequency Offset.vi

Configures the value for the Frequency Offset property, in Hz in the ZigBee OQPSK Signal Generation Handle. The toolkit applies frequency offset to the created waveform based on the value configured in this property. The applied frequency offset is relative to the signal generator's carrier frequency.

The default value is 0.

ZigBee OQPSK Generation Handle In

Frequency offset, Hz Specifies the Frequency Offset in Hz. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Clock Offset.vi

This VI configures the value for the Clock Offset property, in PPM in the ZigBee OQPSK Signal Generation handle. The toolkit applies the clock offset to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

ZigBee OQPSK Generation Handle In

Clock Offset (PPM) Specifies the Clock Offset in ppm. The clock offset is applied to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set I DC Offset.vi

Configures the I DC Offset, in % in the ZigBee OQPSK Signal Generation Handle. The toolkit adds the DC offset to the in-phase signal component (I) of the complex waveform as a percentage of the root mean square magnitude of the unaltered I signal.

The default value is 0.

ZigBee OQPSK Generation Handle In

I DC offset, % specifies the desired DC offset of the I waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Q DC Offset.vi

This VI configures the value for Q DC Offset property, in % in the ZigBee OQPSK Signal Generation Handle. The toolkit adds the DC offset to the quadrature-phase signal component (Q) of the complex waveform as a percentage of the root mean square magnitude of the unaltered Q signal.

The default value is 0.

ZigBee OQPSK Generation Handle In

Q DC offset , % specifies the desired DC offset of the Q waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set IQ Gain Imbalance.vi

The VI configures the value for the IQ Gain Imbalance property, in dB in the ZigBee OQPSK Signal Generation handle. This value specifies the ratio, in dB, of the mean amplitude of the in-phase (I) signal to the mean amplitude of the quadrature-phase (Q) signal.

The default value is 0.

ZigBee OQPSK Generation Handle In

IQ gain imbalance, dB specifies the desired ratio of I gain to Q gain in dB. Valid values are between –6.0 and +6.0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Quadrature Skew.vi

This VI configures the value for Quadrature skew Property in degrees in the ZigBee OQPSK Signal Generation handle. Quadrature Skew specifies the deviation in angle from 90 degrees between the in-phase (I) and quadrature-phase (Q) signals.

The default value for the Quadrature Skew is 0.

ZigBee OQPSK Generation Handle In

Quadrature skew, deg specifies the desired quadrature skew of the complex waveform in degrees. Valid values are between –30.0° and +30.0°.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Open Handle.vi

This VI creates ZigBee OQPSK Analysis Handle with the default values and passes the handle to the later VIs.

Name Of Queue

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee RFSA Configure Hardware.vi

Configures the following properties in the NI RFSA hardware for demodulation measurements

i. Configures the NI RFSA Acquisition Type to IQ
ii. Configures the NI RFSA Number of Records property to Number of Averages value configured by the user.
iii. Configures Number of Records Is Finite to TRUE.
iv. Configures the NI RFSA IQ Rate property to the reciprocal of the elementary period.
v. Configures the NI RFSA trigger settings based on the PreTrigger Delay and Minimum Quite Time values.
vi. Configures the NI RFSA Number of Samples property based on the Acquisition Length and IQ Rate.

instrument handle

ZigBee OQPSK SA Parameters

ZigBee OQPSK SA Parameters

error in The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

instrument handle out

number of samples

error out The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ZigBee OQPSK RFSA Measure.vi

This VI perfoms the following.

i. Checks the configuration parameters in the Zigbee OQPSK Analysis handle and returns an error if the configuration is not valid.
ii. Configures the NI RFSA properties based on the user configuration. For more details refer MaxEye ZigBee RFSA Configure Hardware.vi documentation.
iii. Initiates the Acquisition by calling niRFSA Initiate.vi.
iv. Performs Demodulation Measurements

instrument handle

ZigBee OQPSK Analysis Handle

ZigBee OQPSK Analysis Handle

timeout (sec)

error in The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

instrument handle out

error out The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ZigBee OQPSK SA Close Handle.vi

Closes the ZigBee OQPSK Analysis Handle and resources associated with it.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Configure Modulation.vi

This VI configures the ZigBee OQPSK modulation properties in the RFSA instrument handle.

The following properties are configured in the RFmx Demod API VIs.

i. Modulation Type
ii. Pulse shaping Filter Type
iii. Symbol Map
iv. Synchronization Bits
v. Symbol Rate

Instrument Handle In

Selector String Selector String comprises of the signal name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

""

"signal::sig1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Instrument Handle Out

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ZigBee OQPSK SA Set Acquisition Length, Seconds.vi

Configures the Acquisition Length, in seconds property in the ZigBee OQPSK Signal Analysis handle. The toolkit computes the number of samples based on this value and configures the NI RFSA session.

The default value is 5 milliseconds.

ZigBee OQPSK Analysis Handle In

Acquisition Length, Seconds External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Set Pre Trigger Delay, Seconds.vi

Configures the PreTrigger Delay property of the ZigBee OQPSK Signal Analysis handle, in seconds.

The toolkit computes the number of pretrigger samples based on the IQ Rate, Specifies the number of pretrigger samples—the samples acquired before the Reference Trigger is received—to be acquired per record.

The default value is 10 microseconds.

ZigBee OQPSK Analysis Handle In

PreTrigger Delay, Seconds External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Set Minimum Quiet Time, Seconds.vi

Configures the Minimum Quite Time property in the ZigBee OQPSK Signal Analysis handle.

Specifies a time duration, in seconds, for which the signal must be quiet before the device arms the IQ Power Edge trigger. The signal is quiet when it is below the trigger level if the trigger slope, specified by the Reference Trigger IQ Power Edge Slope property, is set to Rising Slope or when it is above the trigger level if the trigger slope is set to Falling Slope.

By default, this value is set to 0, which means the device does not wait for a quiet time before arming the trigger. This property is useful to trigger the acquisition on signals containing repeated bursts, but for which each burst may have large changes in signal power within itself. By configuring the minimum quiet time to the time between bursts, you can ensure that the trigger occurs at the beginning of a burst rather than at a signal power change within a burst.

The default value is 0.

ZigBee OQPSK Analysis Handle In

Minimum Quiet Time, Seconds External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Set Number of Frames or Bursts.vi

Configures the Number of Frames property in the ZigBee OQPSK Signal Analysis handle. Configure this property when multiple frame decoding is required, if this property is set to more than one then the toolkit decodes each frame and the respective MAC level frame paratmeters are returned in an array.

Configure acquisition length such that the acquired waveform contains all the required frames for analysis.

The default value is 1.

ZigBee OQPSK Analysis Handle In

Number of Frames or Bursts External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Set Number of Symbols.vi

Configures the Number of Symbols property in the ZigBee OQPSK Signal Analysis handle.

The toolkit uses this property to compute the the demodulation measurements such as EVM, MER etc., The default value is 1000.

ZigBee OQPSK Analysis Handle In

Number of Symbols External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Set Averaging Enabled.vi

Configures the Averaging Enabled property in the ZigBee OQPSK Signal Analysis handle. Set this property to True to average the measurements over number of iterations.

The default value is False.

ZigBee OQPSK Analysis Handle In

Averaging Enabled Averaging Enabled enables averaging for digital demodulation measurement.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Set Number of Averages.vi

Configures the Number of Averages property of the ZigBee OQPSK Signal Analysis handle. The measurement results are averaged over the number specified by Number of Averages.

ZigBee OQPSK Analysis Handle In

Number of Averages specifies the Number of Averages. The measurement results are averaged over the number specified by Number of Averages.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Set Reset PER Measurement.vi

Configures the Reset PER Measurement property in the ZigBee OQPSK Signal Analysis handle. If this property is set to True the toolkit internal resets the Number of Packets Received and Number of Packet Errors to 0.

To measure PER measurement continuously set this property to True only in the first iteration. The default value is True.

ZigBee OQPSK Analysis Handle In

Reset PER measurement?

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Demodulation Measurements.vi

Returns the following demodulation measurements

1. Sync Found status
2. RMS EVM (%)
3. Peak EVM in %
4. Peak EVM Symbol Position
5. RMS Offset EVM (%)
6. MER in dB
7. RMS Magnitude Error (%)
8. RMS Phase Error in deg
9. Frequency Offset in Hz
10. Clock Offset in PPM
11. IQ Gain Imbalance in dB
12. Quadrature Skew in degrees
13. IQ Origin Offset in dB
14. Average Power in dBm
15. Peak Power in dBm
16. Constellation Trace
17. Constellation Trace(After Offset Correction)
18. EVM Vs Symbols
19. Offset EVM Vs Symbols
20. Magnitude Error Vs Symbols
21. Phase Error Vs Symbols
22. Power vs Time in dBm

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Demodulation Measurements

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Sync Found.vi

Returns the Sync Status. The toolkit internally searches for the synchronization header as specified by the IEEE 802.15.4 standard. If the header is detected then this value is set to True.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Sync Found?

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get RMS EVM in percentage.vi

Returns the measured RMS Error Vector Magnitude (EVM) in percentage.

The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

RMS EVM, %

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Peak EVM in percentage.vi

Returns the measured Peak Error Vector Magnitude (EVM) in percentage. The ratio of error vector to the ideal symbol vector for a particular symbol gives the instantaneous EVM. Peak EVM is the maximum EVM across all symbols.

The toolkit calculates peak hold averaging over the number of acquisitions specified by the Number of Averages value. The measurement is done over the number of symbols specified by the user.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Peak EVM, %

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Peak EVM Symbol Position.vi

Returns the symbol number corresponding to the Peak Error Vector Magnitude (EVM).

The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Peak EVM Symbol Position

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get RMS Offset EVM.vi

Returns the measured RMS Offset Error Vector Magnitude (EVM) in percentage. This EVM measurement is done after correcting the offset between the I and Q symbols.

The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

RMS Offset EVM, %

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get MER.vi

Returns the measured Modulation Error Ratio (MER) in dB.

The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

MER, dB

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get RMS Magnitude Error.vi

Returns the measured RMS Magnitude Error, in percentage.
The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

RMS Magnitude Error, %

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Phase Error.vi

This VI Returns the measured Phase Error in degrees.

The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Phase Error, deg

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Frequency Offset.vi

Returns the measured IQ Gain Imbalance value, in dB.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Frequency offset, Hz

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Clock Offset (PPM).vi

Returns the Clock Offset measured in PPM.

The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.
i

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Clock Offset (PPM)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get IQ gain imbalance.vi

Returns the measured IQ Gain Imbalance value, in dB.

The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

IQ gain imbalance, dB specifies the desired ratio of I gain to Q gain in dB. Valid values are between –6.0 and +6.0.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Quadrature skew.vi

Returns the Quadrature skew in degrees. Quadrature Skew specifies the deviation in angle from 90 degrees between the in-phase (I) and quadrature-phase (Q) signals.

The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Quadrature skew, deg specifies the desired quadrature skew of the complex waveform in degrees. Valid values are between –30.0° and +30.0°.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get IQ Offset.vi

Returns the measured IQ Offset value, in dB.

The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

IQ Offset, dB specifies the desired DC offset of the I waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Average Power.vi

Returns the average power of the received signal in dBm.

The measurement is done over the number of symbols specified by the user. The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Average Power, dBm

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Peak Power.vi

Returns the measured peak power of the received signal, in dBm.

The toolkit calculates peak hold averaging over the number of acquisitions specified by the Number of Averages value. The measurement is done over the number of symbols specified by the user.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Peak Power, dBm

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Offset Constellation.vi

Returns the Offset constellation trace.

When the number of averages value is set to more than one this trace corresponds to the last iteration.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Offset Constellation

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get EVM Vs Symbols.vi

Returns the Error Vector Magnitude (EVM) vs Symbols Trace. The returned array needs to be connected to a waveform graph to visualize the EVM Vs Symbols.

When the number of averages value is set to more than one this trace corresponds to the last iteration.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

EVM Vs Symbols

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Offset EVM Vs Symbols.vi

Returns the Offset Error Vector Magnitude (EVM) trace. The returned array needs to be connected to a waveform graph to visualize the Offset EVM Vs Symbols.

When the number of averages value is set to more than one this trace corresponds to the last iteration.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Offset EVM Vs Symbols

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Magnitude Error Vs Symbols.vi

Returns the Magnitude Error vs Symbols trace. The returned array needs to be connected to a waveform graph to visualize the Magnitude Error Vs Symbols.

When the number of averages value is set to more than one this trace corresponds to the last iteration.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Magnitude Error Vs Symbols

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Phase Error Vs Symbols.vi

Returns the Phase Error vs Symbols trace. The returned array needs to be connected to a waveform graph to visualize the Phase Error Vs Symbols.

When the number of averages value is set to more than one this trace corresponds to the last iteration.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Phase Error Vs Symbols

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Power Vs Symbols.vi

Returns the Power vs Time Trace. The returned array needs to be connected to a waveform graph to visualize the trace.

When the number of averages value is set to more than one this trace corresponds to the last iteration.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Power Vs Time (dBm)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get MAC Frame Measurements.vi

Returns the following MAC Frame Measurements

i. MAC CRC Status
ii. Complete Packet Received Status
iii. Number of Packets Received
iv. Number of Packet Errors
v. PER

When the Number of Frames property is set to more than one the MAC CRC Status and Complete Packet Received Status corresponds to the last frame. The other paratemeters are accumulated over the number of frames.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

MAC Frame Measurements

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get MAC Frame Parameters.vi

Returns the following array of MAC Frame Parameters. When Number of Frames or Bursts property is set to more than one each element of the array contains the corresponding MAC frame parameters.

i. Sequence Number
ii. Frame Control Fields
iii. Destination PAN Identifier
iv. Destination MAC Address
v. Source MAC Address
vi. Superframe Specification
vii. MAC Command
a.Command Frame Identifier
b.Association Request
c.Coordinator Realignment
d.GTS Request
e.Association Response
f.Disassociation Reason?

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

MAC Frame Parameters

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get PPDU Frame Length, Chips.vi

Returns the PPDU Frame Length, Chips.

This measurement is valid only when the acquired waveform contains the complete frame.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

PPDU Frame Length, Chips

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get Demodulated Bits.vi

Returns the Demodulated Bits.

When the number of averages value is set to more than one this trace corresponds to the last iteration.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

Demodulated Bits

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get PHY Payload Bytes (PPDU).vi

Returns the PHY Payload Bytes(PPDU).

This measurement is valid only when the acquired waveform contains the complete frame.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

PHY Payload Bytes (PPDU)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SA Get MAC Payload Bytes.vi

Returns the MAC Payload Bytes.

ZigBee OQPSK Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Analysis Handle Out

MAC Payload Bytes

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK Fetch Demodulated Bits.vi

Returns the following

i. Demodulated bits (Before despreading)
ii. Physical Layer Payload bytes (PPDU)
iii. MAC Payload Bytes (MPDU)
iv. MAC Frame Measurements ( Includes MAC CRC Status, Whether Complete Packet Received or not
(Packet Received is whether complete or partial packet as a boolean indicator), Total number of packets received, Number of packet errors)
v. MAC Frame Level Parametrs
vi. PPDU Frame Lenth in Chips.

The packet error measurement can be reset using the input boolean control Reset PER measurement.

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used.

Example:

""

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the time, in seconds, for which the VI waits for the measurement to complete. A value of -1 specifies that the VI waits until the measurement is complete.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Reset PER measurement?

Instrument Handle Out

Frame Measurements

error Out error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ZigBee OQPSK Fetch Demodulated Symbols.vi

Returns the I vs Time and Q vs Time of the measured and reference waveform.

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used.

Example:

""

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the time, in seconds, for which the VI waits for the measurement to complete. A value of -1 specifies that the VI waits until the measurement is complete.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

I vs Time

Q vs Time

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK Fetch Demodulation Measurements.vi

Returns the following

1. Phase Error Trace
2. Magnitude Error Trace
3. Offset EVM Trace
4. EVM Trace
5. Constellation Trace
6. Sync Found status
7. Mean IQ Gain Imbalance in dB
8. Mean Quadrature Skew in degrees
9. Mean IQ Origin Offset in dB
10. Mean Amplitude Droop in dB/Symbol
11. Mean Rho Factor
12. Mean Phase Error in degrees
13. Maximum Phase Error in degrees
14. Mean Magnitude Error in %
15. Maximum Magnitude Error in %
16. Mean Frequency Offset in Hz
17. Mean Frequency Drift in Hz
18. Mean Phase Offset in degrees
19. Mean RMS Offset EVM (%)
20. Maximum RMS Offset EVM (%)
21. Maximum Peak Offset EVM (%)
22. Mean Peak Offset EVM (%)
23. Mean RMS EVM (%)
24. Maximum RMS EVM (%)
25. Mean Modulation Error Ratio in dB
26. Maximum Peak EVM in %
27. Mean Peak EVM in %

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used.

Example:

""

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Timeout (s)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

Demodulation Measurements

error out error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ZigBee OQPSK SA Configure Channel Number Spectrum.vi

This VI computes the carrier frequency from the channel number and then configures the carrier frequency in the niRFmx SpecAn API VI.

Instrument Handle Instrument Handle In specifies the RFmx session refnum. Instrument Handle In is obtained from the RFmxInstr Initialize NIRFSA VI.

Selector String Selector String comprises of the signal name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

""

"signal::sig1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Channel Number

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ZigBee OQPSK SA Configure SEM Offset Segments.vi

This VI configures the SEM Offset Segment properties. The SEM Offset Segment includes the following properties.

i. SEM Offset Segment Enabled
ii. Offset Frequency (Start, Stop and Sideband)
iii. RBW Filter Type and RBW
iv. Mask Limits both Absolute and Relative

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String

Offset Segments

Limit Fail Mask

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK Fetch SEM Offset Segment Measurements.vi

Returns the Lower and Upper SEM offset segment measurements. The SEM offset segment measurements includes the following.

i. Total Absolotue Power
ii. Total Relative Power
iii. Peak Absolute Power
iv. Peak Relative Power
v. Peak Frequency
vi. Mask Margin
vii. Margin Absolute Power
viii. Margin Relative Power
ix. Margin Frequency
x. Measurement Status

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxSpecAn Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

Lower Offset Segment Measurements

Upper Offset Segment Measurements

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK Fetch SEM Spectrum with Mask.vi

Returns the following.

i. Spectrum Trace
ii. Absolute Mask Trace
iii. Relative Mask Trace

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxSpecAn Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

Spectrum

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK Fetch CW Frequency Offset.vi

Returns the following.

i. Average Absolute Frequency in Hz
ii. Frequency Offset in Hz
iii. Frequency Error vs Time trace

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxSpecAn Build Signal String VI to build the selector string.

Channel Number

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

Average Absolute Frequency (Hz)

Frequency Offset

Frequency Error Trace (Hz)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Open Handle.vi

This VI creates ZigBee BPSK Generation Handle with the default values and passes the handle to the later VIs.

Name of Queue

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Configure Channel Number.vi

This VI computes the carrier frequency from the channel number.

Channel Number

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Carrier Frequency

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ZigBee BPSK SG Set Headroom,dB.vi

This VI configures the Head room property in the ZigBee BPSK Signal Generation handle. The toolkit uses this value for scaling the waveform. If the PAPR of the signal is higher than the Head room value then the toolkit clips the signal. To avoid clipping Head room value should be higher than PAPR of the signal.

The default value is 3 dB.

ZigBee BPSK Generation Handle In

Headroom, dB Specifies the Headroom in dB. The toolkit uses this value for scaling the wave form. If the PAPR of the signal is higher than the Head Room value then the toollkit clips the signal.To avoid clipping the Head Room value should be higher than the PAPR of the signal.

The default value is 12 dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK RFSG Create and Download Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the ZigBee BPSK Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

ZigBee BPSK Generation Handle

Waveform name specifies the name used to store the waveform. This string is case-insensitive and alphanumeric, and it does not use reserved words.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

instrument handle out passes a reference from the instrument session to the next VI.

ZigBee BPSK Generation Handle 2

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Create Waveform.vi

This VI performs the following:

(i) Checks the configuration parameters in ZigBee BPSK signal generation handle and returns an error if the configuration is not valid.
(ii) Creates the waveform as per the configured parameters.

ZigBee BPSK Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Reset?

ZigBee BPSK Generation Handle Out

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

Done?

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK RFSG Download Waveform.vi

This VI perfoms the following.

i. Computes the waveform size, allocates on board memory space for writing waveform.
ii. Writes the waveform in the RFSG on board memory.

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

ZigBee BPSK Generation Handle

ZigBee BPSK Generation Handle

Waveform name specifies the name used to store the waveform. This string is case-insensitive and alphanumeric, and it does not use reserved words.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Reset?

instrument handle out passes a reference from the instrument session to the next VI.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Save Waveform in File.vi

This VI performs the following:

(i) Checks the configuration parameters in ZigBee BPSK signal generation handle and returns an error if the configuration is not valid.
(ii) Computes the waveform size and returns it to the user.
(iii) Creates the waveform as per the configured parameters.
(iv) Writes the created waveform in the file as per the waveform file path location configured by the user.

ZigBee BPSK Generation Handle

ZigBee BPSK Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Output Waveform File Path.vi

The VI configures the file location for the Waveform File Path property in ZigBee BPSK Signal Generation handle. The toolkit saves the generated waveform in the file when MaxEye ZigBee BPSK RFSG Create and Save Waveform API VI is used for the wavefrom creation.

ZigBee BPSK Generation Handle In

Output Waveform File Path Specifies the Output Waveform File Path. The combined waveform is stored in the file mentioned here.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Close Handle.vi

Closes the ZigBee BPSK Signal Generation handle and resources associated with it.

ZigBee BPSK Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Samples Per Chip.vi

Configures the Samples Per Chip property in the ZigBee BPSK Signal Generation handle. The sampling rate of the generated waveform equals to the Samples Per Chip multiplied by the Chip Rate.

The default value is 20.

ZigBee BPSK Generation Handle In

Samples Per Chip

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Data Rate.vi

Configures the Data Rate property in the ZigBee BPSK Signal Generation Handle. The valid values for the data rate are 20 Kbps and 40 kbps.

The default value is 40 kbps.

ZigBee BPSK Generation Handle In

Data Rate (kbps)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Frame Cotrol Fields.vi

Configures the MAC Frame Control Fields properties in the ZigBee BPSK Signal Generation Handle. The Frame Control field contains information defining the frame type, addressing fields, and other control
flags.

For more information about the Frame control fields please refer section 5.2.1.1 of the IEEE standard 802.15.4.

ZigBee BPSK Generation Handle In

Frame Control Fields

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Addressing Fields.vi

Configures the Destination and Source PAN Identifier and MAC Address properties in the ZigBee BPSK Signal Generation handle.

The Destination PAN Identifier field specifies the unique PAN identifier of the intended recipient of the frame. A value of 0xffff in this field shall represent the broadcast PAN identifier.

The Destination Address field specifies the address of the intended recipient of the frame. A value of 0xffff in this field shall represent the broadcast short address. This field shall be included in the MAC frame only if the Destination Addressing Mode field is nonzero.

The Source PAN Identifier field specifies the unique PAN identifier of the originator of the frame.

The Source Address field specifies the address of the originator of the frame. This field shall be included in the MAC frame only if the Source Addressing Mode field is nonzero.

ZigBee BPSK Generation Handle In

Destination PAN Identifier

Destination MAC Address

Source PAN Identifier

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Source MAC Address

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Sequence Number.vi

Configures the Sequence Number field in the ZigBee BPSK Signal Generation Handle.

The Sequence Number field specifies the sequence identifier for the frame. For a beacon frame, the Sequence Number field shall specify a BSN (Beacon Sequence Number). For a data, acknowledgment, or MAC command frame, the Sequence Number field shall specify a DSN (Data Sequence Number) that is used to match an acknowledgment frame to the data or MAC command frame.

The default value is 0.

ZigBee BPSK Generation Handle In

Sequence Number

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Number of Frames.vi

This VI configures the Number of Frames property in the ZigBee BPSK signal generation handle. The toolkit uses the same frame configuration for all the frames and the payload is continuous across frames.

The valid value should be greater than 0.

The default value is 1.

ZigBee BPSK Generation Handle In

Number of Frames

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set MAC Framing Enabled.vi

Configures the MAC Framing Enabled field in the ZigBee BPSK Signal Generation Handle.

If this property is set to true then the toolkit adds MAC layer headers and then creates payload for the physical layer

The default value is False.

ZigBee BPSK Generation Handle In

MAC Framing Enabled

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Command Frame Identifier.vi

This VI configures the Command Frame Identifier property in the ZigBee BPSK signal generation handle. The Command Frame Identifier field identifies the MAC command being used.

The valid values are

0 - Association Request
1 - Association Response
2 - Disassociation Notification
3 - Data Request
4 - PAN ID Conflict Notification
5 - Orphan notification
6 - Beacon request
7 - Coordinator realignment
8 - GTS request
9 - Reserved

The default value is Association Request.

ZigBee BPSK Generation Handle In

Command Frame Identifier

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Association Request.vi

This VI configures the Association Request property in the ZigBee BPSK signal generation handle.
The Association Request command contains information defining the device type, power source, receiver on when idle, security capability and allocate address.
Association Request allows to send a request to make a association with a PAN through the PAN coordinator or a coordinator.

The valid values are
Device type:
0 - Reduced function device.
1 - Full Function Device

Power source:
0 - AC mains.
1 - Not From AC Mains

Receiver on when idle:
0 - False
1 - True

Security capability:
0 - Disabled
1 - Enabled

Allocate address :
0 - False
1 - True

The default values.
Device type - Full Function Device.
Power source - AC mains.
Receiver on when idle - True.
Security capability - Disabled.
Allocate address - True.

ZigBee BPSK Generation Handle In

Association Request

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Association Response.vi

This VI configures the Association Response property in the ZigBee BPSK signal generation handle.
The Association Response command contains information defining the short address and association status.
Association Response allows PAN coordinator or a coordinator to communicate the results of an association attempt back to the device requesting association.

The valid values are
Short address : 0000 to FFFF
Association status:
0 - Association successful
1 - PAN at capacity
2 - PAN access denied.
3 - Reserved for MAC primitive enumeration values

The default values.
Short address - ABCD
Association status - Association successful.

Association Response

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle In

ZigBee BPSK Generation Handle In

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Disassociation Notification.vi

This VI configures the Disassociation Notification property in the ZigBee OQPSK signal generation handle.
The PAN coordinator, a coordinator, or an associated device may send the disassociate notification command.

The valid values are
0 - Reserved.
1 - The coordinator wishes the device to leave the PAN.
2 - The device wishes to leave the PAN.
3 - Reserved for MAC primitive enumeration values.

The default value is The coordinator wishes the device to leave the PAN.

Disassociation Reason?

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle In

ZigBee BPSK Generation Handle In

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Coordinator Realignment.vi

This VI configures the Coordinator Realignment property in the ZigBee BPSK signal generation handle.
The Coordinator Realignment command contains information defining the realignment command, PAN identifier, coordinator short address, channel number, short address and channel page .
If this Coordinator Realignment command is sent following the reception of an orphan notification command, it is sent directly to the orphaned device. If this command is sent when any PAN configuration attributes (i.e., PAN identifier, short address, channel, or channel page) change, it is broadcast to the PAN.

The valid values are
Realignment command :
0 - Broadcast to the PAN
1 - Sent to orphaned device

PAN identifier : 0000 to FFFF

Coordinator short address : 0000 to FFFF

Channel number : 0 to 255

Short address : 0000 to FFFF

Channel page : 0 to 255

The default values.

Realignment command - Broadcast to the PAN
PAN identifier - ABCD
Coordinator short address - AABB
Channel number - 1
Short address - AACC
Channel page - 1

Coordinator Realignment

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle In

ZigBee BPSK Generation Handle In

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set GTS Request.vi

This VI configures the GTS Request property in the ZigBee BPSK signal generation handle.
The GTS Request command contains information defining the GTS length(in slots),GTS direction and GTS characteristics type.
GTS Request command is used by an associated device that is requesting the allocation of a new GTS or the deallocation of an existing GTS from the PAN coordinator.

The valid value are
GTS length(in slots) : 1to 255

GTS direction :
0 - Tx only GTS
1 - Rx only GTS

GTS characteristics type:
0 - GTS deallocation
1- GTS allocation

The default values.
GTS length(in slots) - 1
GTS direction - Tx only GTS
GTS characteristics type - GTS deallocation

GTS Request

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle In

ZigBee BPSK Generation Handle In

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Inter Frame Spacing.vi

Configures the Inter Frame Spacing property in the ZigBee BPSK Signal Generation handle. This property specifies the gap duration in seconds between the frames.

The default value is 0.0001.

ZigBee BPSK Generation Handle In

Inter Frame Spacing (Seconds)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Output Sampling Rate.vi

Configures the Output Sampling Rate (Hz) property of the ZigBee BPSK Signal Generation handle.

The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1(True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

ZigBee BPSK Generation Handle In

Output Sampling Rate Specifies the Output Sampling Rate. The Default Sampling rate is 2.048 MSPS.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Oversampling Enabled.vi

This VI configures the Oversampling Enabled? Property in the ZigBee BPSK signal generation handle. The valid value is either TRUE or FALSE.

The default value is FALSE.

ZigBee BPSK Generation Handle In

Oversampling Enabled? Specifies whether the Oversampling Property is enabled or not. If this property is set to True then the toolkit resamples the generated signal based on the value configured by the user for the Output Sampling Rate property.

The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Power Ramp Up And DownTime.vi

Configures the value for the Power Ramp Up And Down Time property, in seconds in the ZigBee BPSK Signal Generation handle.

The Power Ramp Up Time property specifies the time duration during which the signal power gradually increases to the full value from zero.
The default value is 5us.

The Power Down Time property specifies the time duration during which the signal power gradually reduces from the full value to close to zero.
The default value is 5us.

ZigBee BPSK Generation Handle In

Power Ramp Up Time (Seconds) Specifies the Carrier to Noise Ratio in dB. The default value is 50dB.

Power Ramp Down Time(Seconds)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Payload Configuration.vi

This VI configures the Payload properties for the ZigBee OQPSK Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

ZigBee BPSK Generation Handle In

Payload Control

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Payload Mode.vi

This VI configures the Payload Mode property in the ZigBee BPSK Signal Generation handle. The valid values for the Payload property are

PN Sequence - Specifies that the toolkit uses a Galois pseudonoise (PN) bit sequence with configurable order and seed. The seed is the initial state of the PN generator shift register.

User Defined Bits - Specifies that the toolkit repeats the user-supplied bit pattern to achieve the necessary payload length.

Test File - Specifies that the toolkit uses the data stored in the binary file as a payload for creating the waveform.

Test Pattern - Specifies that toolkit uses the value set in the Payload Test Pattern property as a payload for creating the waveform. The length of the Test Pattern is 8 bits. This value is the default.

ZigBee BPSK Generation Handle In

Payload Mode Specifies the Payload Mode value.
The valid values for the Payload property are

PN Sequence - Specifies that the toolkit uses a Galois pseudonoise (PN) bit sequence with configurable order and seed. The seed is the initial state of the PN generator shift register.

User Defined Bits - Specifies that the toolkit repeats the user-supplied bit pattern to achieve the necessary payload length.

Test File - Specifies that the toolkit uses the data stored in the binary file as a payload for creating the waveform.

Test Pattern - Specifies that toolkit uses the value set in the Payload Test Pattern property as a payload for creating the waveform. The length of the Test Pattern is 8 bits. This value is the default.

MPEG2TS File(s) - Specifies that the toolkit uses the MPEG2 TS bitstream as a payload for creating the waveform. Use this payload mode for playing the video in the device under test.

MPEG2TS Audio - Specifies that the toolkit uses the MPEG2 TS Audio bitstream as a payload for creating the waveform. Use this payload mode for playing the audio in the device under test.

The default value for Payload Mode is PN Sequemce.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Payload Length.vi

This VI configures the Payload Mode property in the ZigBee BPSK Signal Generation handle. The valid values for the Payload property are

PN Sequence - Specifies that the toolkit uses a Galois pseudonoise (PN) bit sequence with configurable order and seed. The seed is the initial state of the PN generator shift register.

User Defined Bits - Specifies that the toolkit repeats the user-supplied bit pattern to achieve the necessary payload length.

Test File - Specifies that the toolkit uses the data stored in the binary file as a payload for creating the waveform.

Test Pattern - Specifies that toolkit uses the value set in the Payload Test Pattern property as a payload for creating the waveform. The length of the Test Pattern is 8 bits. This value is the default.

ZigBee BPSK Generation Handle In

Payload Length, bytes

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Payload PN Order.vi

This VI configures the Payload PN Order property in the ZigBee BPSK Signal Generation handle . The PN order specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN Order property is 9.

ZigBee BPSK Generation Handle In

Payload PN Order Specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN Order property is 9.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Payload PN Seed.vi

This VI configures the Payload PN seed in the ZigBee BPSK Signal Generation handle . This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN seed is BEEFBEEF.

ZigBee BPSK Generation Handle In

Payload PN Seed Specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN Order property is 9.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Payload User Defined Bits.vi

Configures the Payload User Defined Bits property in the ZigBee BPSK Signal Generation handle. This property is applicable only when the Payload Mode property is set to User Defined Bits.

ZigBee BPSK Generation Handle In

Payload User Defined Bits Specifies the Payload User Defined Bits. The user defined bits should be array of 1s and 0s.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Payload Test Pattern.vi

Configures the Payload PN Order property in the ZigBee BPSK Signal Generation handle. This property is applicable only when the payload property is set to test pattern.The valid Test Patterns are All 1s,All 0 s,10101010,11110000.

The default value for the Test Pattern is All 1s.

ZigBee BPSK Generation Handle In

Payload Test Pattern Specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN Order property is 9.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Payload File Path.vi

This VI configures the Payload File Path property in the ZigBee BPSK Signal Generation handle. The toolkit reads the payload data from the binary file for generating the signal when the Payload Mode property is set to Test File.

ZigBee BPSK Generation Handle In

Payload File Path Specifies the Payload File Path.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Impairment Configuration.vi

Configures the Impairment properties for the ZigBee BPSK Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

ZigBee BPSK Generation Handle In

Impairments Specifies the Impairments Configuration parameters.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Impairments Enabled.vi

Configures the Impairments Enabled property in the ZigBee BPSK Signal Generation handle. If this property is set to True then the toolkit adds the impairments to the generated signal as per the user configuration for the supported impairments.

The default value is False.

ZigBee BPSK Generation Handle In

Impairments Enabled ? Specifies whether Impairments is Enabled or not. The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set AWGN Enabled.vi

This VI configures the AWGN Enabled property in the ZigBee BPSK Signal Generation handle. If this property is set to True then the toolkit adds Additive White Gaussian Noise (AWGN) to the created waveform based on the value configured in the Carrier to Noise Ratio property.

The valid values are True and False. The default value is False.

ZigBee BPSK Generation Handle In

AWGN Enabled Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Carrier to Noise Ratio.vi

This VI configures the value for the Carrier to Noise ratio property, in dB in the ZigBee BPSK Signal Generation handle. This value specifies the Carrier to Noise ratio of the generated signal.

The default value is 40dB.

ZigBee BPSK Generation Handle In

Carrier to Noise Ratio, dB Specifies the Carrier to Noise Ratio in dB. The default value is 50dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Frequency Offset.vi

Configures the value for the Frequency Offset property, in Hz in the ZigBee BPSK Signal Generation Handle. The toolkit applies frequency offset to the created waveform based on the value configured in this property. The applied frequency offset is relative to the signal generator's carrier frequency.

The default value is 0.

ZigBee BPSK Generation Handle In

Frequency offset, Hz Specifies the Frequency Offset in Hz. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Clock Offset.vi

This VI configures the value for the Clock Offset property, in PPM in the ZigBee BPSK Signal Generation handle. The toolkit applies the clock offset to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

ZigBee BPSK Generation Handle In

Clock Offset (PPM) Specifies the Clock Offset in ppm. The clock offset is applied to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set I DC Offset.vi

Configures the I DC Offset, in % in the ZigBee BPSK Signal Generation Handle. The toolkit adds the DC offset to the in-phase signal component (I) of the complex waveform as a percentage of the root mean square magnitude of the unaltered I signal.

The default value is 0.

ZigBee BPSK Generation Handle In

I DC offset, % specifies the desired DC offset of the I waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Q DC Offset.vi

This VI configures the value for Q DC Offset property, in % in the ZigBee BPSK Signal Generation Handle. The toolkit adds the DC offset to the quadrature-phase signal component (Q) of the complex waveform as a percentage of the root mean square magnitude of the unaltered Q signal.

The default value is 0.

ZigBee BPSK Generation Handle In

Q DC offset , % specifies the desired DC offset of the Q waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set IQ Gain Imbalance.vi

The VI configures the value for the IQ Gain Imbalance property, in dB in the ZigBee BPSK Signal Generation handle. This value specifies the ratio, in dB, of the mean amplitude of the in-phase (I) signal to the mean amplitude of the quadrature-phase (Q) signal.

The default value is 0.

ZigBee BPSK Generation Handle In

IQ gain imbalance, dB specifies the desired ratio of I gain to Q gain in dB. Valid values are between –6.0 and +6.0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Quadrature Skew.vi

This VI configures the value for Quadrature skew Property in degrees in the ZigBee OQPSK Signal Generation handle. Quadrature Skew specifies the deviation in angle from 90 degrees between the in-phase (I) and quadrature-phase (Q) signals.

The default value for the Quadrature Skew is 0.

ZigBee BPSK Generation Handle In

Quadrature skew, deg specifies the desired quadrature skew of the complex waveform in degrees. Valid values are between –30.0° and +30.0°.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SA Configure Channel Number.vi

This VI computes the carrier frequency from the channel number and then configures the carrier frequency in the niRFmx Demod API VI.

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String Selector String comprises of the signal name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

""

"signal::sig1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Channel Number

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ZigBee BPSK SA Configure Modulation.vi

This VI configures the ZigBee BPSK modulation properties in the RFSA instrument handle.

The following properties are configured in the RFmx Demod API VIs.

i. Modulation Type
ii. Pulse shaping Filter Type
iii. Symbol Map
iv. Synchronization Bits
v. Symbol Rate

Instrument Handle In

Selector String Selector String comprises of the signal name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

""

"signal::sig1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Chip Rate

Samples Per Chip

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Instrument Handle Out

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ZigBee BPSK Fetch Demodulated Bits.vi

Returns the following

i. Demodulated bits (Before despreading)
ii. Physical Layer Payload bytes (PPDU)
iii. MAC Payload Bytes (MPDU)
iv. MAC Frame Measurements ( Includes MAC CRC Status, Whether Complete Packet Received or not
(Packet Received is whether complete or partial packet as a boolean indicator), Total number of packets received, Number of packet errors)
v. MAC Frame Level Parametrs
vi. PPDU Frame Lenth in Chips.

The packet error measurement can be reset using the input boolean control Reset PER measurement.

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used.

Example:

""

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the time, in seconds, for which the VI waits for the measurement to complete. A value of -1 specifies that the VI waits until the measurement is complete.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Reset PER measurement?

Instrument Handle Out

Demodulated Bits Measurements

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK Fetch Demodulated Symbols.vi

Returns the I vs Time and Q vs Time of the measured and reference waveform.

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used.

Example:

""

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the time, in seconds, for which the VI waits for the measurement to complete. A value of -1 specifies that the VI waits until the measurement is complete.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

I vs Time

Q vs Time

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK Fetch Demodulation Measurements.vi

Returns the following

1. Phase Error Trace
2. Magnitude Error Trace
3. EVM Trace
4. Constellation Trace
5. Sync Found status
6. Mean IQ Gain Imbalance in dB
7. Mean Quadrature Skew in degrees
8. Mean IQ Origin Offset in dB
9. Mean Amplitude Droop in dB/Symbol
10. Mean Rho Factor
11. Mean Phase Error in degrees
12. Maximum Phase Error in degrees
13. Mean Magnitude Error in %
14. Maximum Magnitude Error in %
15. Mean Frequency Offset in Hz
16. Mean Frequency Drift in Hz
17. Mean Phase Offset in degrees
18. Mean RMS EVM (%)
19. Maximum RMS EVM (%)
20. Mean Modulation Error Ratio in dB
21. Maximum Peak EVM in %
22. Mean Peak EVM in %

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used.

Example:

""

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Timeout (s)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

Demodulation Measurements

error out error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ZigBee BPSK SA Configure Channel Number Spectrum.vi

This VI computes the carrier frequency from the channel number and then configures the carrier frequency in the niRFmx SpecAn API VI.

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String Selector String comprises of the signal name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

""

"signal::sig1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Channel Number

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ZigBee BPSK SA Configure SEM Offset Segments.vi

This VI configures the SEM Offset Segment properties. The SEM Offset Segment includes the following properties.

i. SEM Offset Segment Enabled
ii. Offset Frequency (Start, Stop and Sideband)
iii. RBW Filter Type and RBW
iv. Mask Limits both Absolute and Relative

Instrument Handle In

Selector String

Offset Segments

Limit Fail Mask

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK Fetch SEM Offset Segment Measurements.vi

Returns the Lower and Upper SEM offset segment measurements. The SEM offset segment measurements includes the following.

i. Total Absolotue Power
ii. Total Relative Power
iii. Peak Absolute Power
iv. Peak Relative Power
v. Peak Frequency
vi. Mask Margin
vii. Margin Absolute Power
viii. Margin Relative Power
ix. Margin Frequency
x. Measurement Status

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxSpecAn Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

Lower Offset Segment Measurements

Upper Offset Segment Measurements

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK Fetch SEM Spectrum with Mask.vi

Returns the following.

i. Spectrum Trace
ii. Absolute Mask Trace
iii. Relative Mask Trace

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxSpecAn Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

Spectrum

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK Fetch CW Frequency Offset.vi

Returns the following.

i. Average Absolute Frequency in Hz
ii. Frequency Offset in Hz
iii. Frequency Error vs Time trace

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxSpecAn Build Signal String VI to build the selector string.

Channel Number

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

Average Absolute Frequency (Hz)

Frequency Offset

Frequency Error Trace (Hz)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK Fetch Demodulated.vi

Refnum in

Timeout (s)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Refnum out

Cluster

error out error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ZigBee BPSK SG Get PAPR.vi

This VI returns the PAPR.

ZigBee BPSK Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

PAPR Specifies the Clock Offset in ppm. The clock offset is applied to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Progress Bar Control Refnum.vi

Configures the control refnum in the ZigBee BPSK Generation Handle for progress status bar update in the user front panel. Use this API VI to monitor the progress of the waveform generation. You need to create progress bar control in the labview frontpanel and then pass the control refnum as an input to this VI.

ZigBee BPSK Generation Handle In

Progress Bar Control RefNum Specifies the Progress Bar Control RefNum.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Signal Mode.vi

Configures the AWGN Enabled property in the DAB Signal Generation handle. If this property is set to True then the toolkit adds Additive White Gaussian Noise (AWGN) to the created waveform based on the value configured in the Carrier to Noise Ratio property.

ZigBee BPSK Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee BPSK SG Set Superframe Specification.vi

Configures the Beacon Order and Superframe Order properties in the ZigBee BPSK Signal Generation Handle. The Beacon Order field shall specify the transmission interval of the beacon. The Superframe Order field shall specify the length of time during which the superframe is active.

For more information about Beacon Order and Super Frame Order properties, please refer section 5.1.1.1 and 5.2.2.1 of the IEEE 802.15.4 2011 standard.

ZigBee BPSK Generation Handle In

Beacon Order

Superframe Order

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee BPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Configure Channel Number.vi

This VI computes the carrier frequency from the channel number.

Channel Number

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Carrier Frequency

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ZigBee OQPSK SG Get PAPR.vi

This VI returns the PAPR.

ZigBee OQPSK Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

PAPR Specifies the Clock Offset in ppm. The clock offset is applied to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye ZigBee OQPSK SG Set Progress Bar Control Refnum.vi

Configures the control refnum in the ZigBee OQPSK Generation Handle for progress status bar update in the user front panel. Use this API VI to monitor the progress of the waveform generation. You need to create progress bar control in the labview frontpanel and then pass the control refnum as an input to this VI.

ZigBee OQPSK Generation Handle In

Progress Bar Control RefNum Specifies the Progress Bar Control RefNum.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ZigBee OQPSK Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.